Package com.xebialabs.xlrelease.domain.configuration.connector

# Class Repository

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.PropertyConfiguration
com.xebialabs.xlrelease.domain.configuration.HttpConnection
com.xebialabs.xlrelease.domain.configuration.connector.Repository

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata public class Repository extends HttpConnection

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.xebialabs.xlrelease.domain.configuration.HttpConnection

  `HttpConnection.AuthenticationMethod, HttpConnection.OAuth2GrantType`

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

  `PROPERTY_CARDINALITY`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Repository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommitterEmail()`
  `String`
  `getCommitterUsername()`
  `GitProvider`
  `getGitProvider()`
  `void`
  `setCommitterEmail(String committerEmail)`
  `void`
  `setCommitterUsername(String committerUsername)`
  `void`
  `setGitProvider(GitProvider gitProvider)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.configuration.HttpConnection

  `getAccessTokenUrl, getAuthenticationMethod, getCA, getClientId, getClientSecret, getDomain, getInsecure, getOauth2GrantType, getPassword, getProxyDomain, getProxyHost, getProxyPassword, getProxyPort, getProxyUsername, getScope, getUrl, getUsername, setAccessTokenUrl, setAuthenticationMethod, setCA, setClientId, setClientSecret, setDomain, setInsecure, setOauth2GrantType, setPassword, setProxyDomain, setProxyHost, setProxyPassword, setProxyPort, setProxyUsername, setScope, setUrl, setUsername, toMap`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

  `getCardinality`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Repository

    public Repository()

- ## Method Details

  - ### getCommitterUsername

    public String getCommitterUsername()

  - ### setCommitterUsername

    public void setCommitterUsername(String committerUsername)

  - ### getCommitterEmail

    public String getCommitterEmail()

  - ### setCommitterEmail

    public void setCommitterEmail(String committerEmail)

  - ### getGitProvider

    public GitProvider getGitProvider()

  - ### setGitProvider

    public void setGitProvider(GitProvider gitProvider)